#! /usr/bin/env python2
# -*- coding: utf-8 -*-
"""
Replacement (unofficial) `setup.py` for the `base_import` module.
Automatically generated by `openerpdist`. See http://noteed.com/openerpdist/.
"""

import setuptools

setuptools.setup(
    name = "openerp-base-import",
    version = "7.0.355",
    description = "Base import",
    long_description = 
"""

New extensible file import for OpenERP
======================================

Re-implement openerp's file import system:

* Server side, the previous system forces most of the logic into the
  client which duplicates the effort (between clients), makes the
  import system much harder to use without a client (direct RPC or
  other forms of automation) and makes knowledge about the
  import/export system much harder to gather as it is spread over
  3+ different projects.

* In a more extensible manner, so users and partners can build their
  own front-end to import from other file formats (e.g. OpenDocument
  files) which may be simpler to handle in their work flow or from
  their data production sources.

* In a module, so that administrators and users of OpenERP who do not
  need or want an online import can avoid it being available to users.
""",
    url = "http://www.openerp.com",
    author = "OpenERP SA",
    author_email = "TODO",
    classifiers = [
        "Development Status :: 5 - Production/Stable",
        "Environment :: Plugins",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: GNU Affero General Public License v3",
        "Natural Language :: English",
        "Programming Language :: Python :: 2.7",
        "Programming Language :: Python :: Implementation :: CPython",
    ],
    license = "AGPL-3",
    package_dir = {
        'openerp.addons.base_import': ".",
    },
    packages = ["openerp.addons.base_import","openerp.addons.base_import.tests"],
    package_data = {
        'openerp.addons.base_import': ["i18n/*.po*","static/csv/Name_products.csv","static/csv/External_id_3rd_party_application_products.csv","static/csv/o2m_purchase_order_lines.csv","static/csv/purchase.order_functional_error_line_cant_adpat.csv","static/csv/m2m_customers_tags.csv","static/csv/External_id_3rd_party_application_product_categories.csv","static/csv/o2m_customers_contacts.csv","static/test/states.js","static/lib/javascript-state-machine/state-machine.js","static/lib/javascript-state-machine/index.html","static/lib/select2/spinner.gif","static/lib/select2/select2.js","static/lib/select2/select2x2.png","static/lib/select2/select2.png","static/src/xml/import.xml","static/src/js/import.js","i18n/hr.po","i18n/sl.po","i18n/ru.po","i18n/cs.po","i18n/pt_BR.po","i18n/ro.po","i18n/es.po","i18n/mn.po","i18n/it.po","i18n/nl.po","i18n/bs.po","i18n/tr.po","i18n/de.po","i18n/et.po","i18n/hu.po","i18n/mk.po","i18n/fr.po","i18n/zh_CN.po","i18n/pl.po","i18n/nb.po","i18n/ar.po","i18n/pt.po","security/ir.model.access.csv","security/ir.model.access.csv","static/src/xml/import.xml","static/lib/select2/select2.css","static/src/css/import.css","static/lib/select2/select2.js","static/lib/javascript-state-machine/state-machine.js","static/src/js/import.js"],
    },
    install_requires = ["openerp-web"],
    tests_require = ["unittest2"],
)
